Bug 1876877 - ibus labels many US keyboard layouts incorrectly as "Hawaiian"
Summary: ibus labels many US keyboard layouts incorrectly as "Hawaiian"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-08 12:48 UTC by Mike FABIAN
Modified: 2020-09-25 16:36 UTC (History)
4 users (show)

Fixed In Version: ibus-1.5.22-17.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-25 16:36:21 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot showing the problem. (276.18 KB, image/png)
2020-09-08 12:48 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2020-09-08 12:48:18 UTC
Created attachment 1714100 [details]
Screenshot showing the problem.

On Fedora 33 (Fedora-Everything-netinst-x86_64-33-20200906.n.0.iso)

ibus labels many US layouts incorrectly as Hawaiian:

[mfabian@localhost ~]$ rpm -q ibus
ibus-1.5.22-15.fc33.x86_64
[mfabian@localhost ~]$ ibus list-engine | grep haw
  xkb:us:colemak:haw - English (Colemak)
  xkb:us:dvorak-alt-intl:haw - English (Dvorak, alt. intl.)
  xkb:us:euro:haw - English (US, euro on 5)
  xkb:us:dvorak-intl:haw - English (Dvorak, intl., with dead keys)
  xkb:us:dvorak-classic:haw - English (classic Dvorak)
  xkb:us:dvorak-l:haw - English (Dvorak, left-handed)
  xkb:us:dvorak-r:haw - English (Dvorak, right-handed)
  xkb:us:intl:haw - English (US, intl., with dead keys)
  xkb:us:alt-intl:haw - English (US, alt. intl.)
  xkb:us:dvp:haw - English (programmer Dvorak)
  xkb:us:dvorak:haw - English (Dvorak)
  xkb:us:haw:haw - Hawaiian
[mfabian@localhost ~]$ 

All except the last one are incorrectly labelled as "haw".

Comment 1 Mike FABIAN 2020-09-08 12:49:37 UTC
Maybe /usr/share/X11/xkb/rules/base.xml is parsed incorrectly, it contains:

 [...]
 <layoutList>
    <layout>
      <configItem>
        <name>us</name>
        <!-- Keyboard indicator for English layouts -->
        <shortDescription>en</shortDescription>
        <description>English (US)</description>
        <languageList>
          <iso639Id>eng</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem>
            <name>chr</name>
            <!-- Keyboard indicator for Cherokee layouts -->
            <shortDescription>chr</shortDescription>
            <description>Cherokee</description>
            <languageList>
              <iso639Id>chr</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem>
            <name>haw</name>
            <shortDescription>haw</shortDescription>
            <description>Hawaiian</description>
            <languageList>
              <iso639Id>haw</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem>
            <name>euro</name>
            <description>English (US, euro on 5)</description>
          </configItem>
        </variant>
        <variant>
          <configItem>
            <name>intl</name>
            <description>English (US, intl., with dead keys)</description>
          </configItem>
        </variant>
 [...]

Comment 2 fujiwara 2020-09-09 02:38:19 UTC
Thank you for the report.
I can reproduce this bug.

Comment 3 Fedora Update System 2020-09-09 11:02:16 UTC
FEDORA-2020-c5b44699fe has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c5b44699fe

Comment 4 Fedora Update System 2020-09-10 15:47:29 UTC
FEDORA-2020-c5b44699fe has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c5b44699fe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c5b44699fe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-09-15 11:05:50 UTC
FEDORA-2020-c5b44699fe has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c5b44699fe

Comment 6 Fedora Update System 2020-09-15 14:53:17 UTC
FEDORA-2020-c5b44699fe has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c5b44699fe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c5b44699fe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-09-25 16:36:21 UTC
FEDORA-2020-c5b44699fe has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.